linux-meta-ti-omap depends on the wrong binary kernel in maverick

Bug #595949 reported by Oliver Grawert on 2010-06-18
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-meta (Ubuntu)
Critical
Andy Whitcroft
Maverick
Critical
Andy Whitcroft
linux-meta-ti-omap (Ubuntu)
Low
Andy Whitcroft
Maverick
Low
Andy Whitcroft

Bug Description

linux-image-omap currently depends on linux-image-2.6.33-500-omap while it should depend on the linux-image-2.6.35-2-omap

Oliver Grawert (ogra) on 2010-06-18
Changed in linux-meta-ti-omap (Ubuntu):
importance: Undecided → Critical
Changed in linux-meta-ti-omap (Ubuntu Maverick):
milestone: none → maverick-alpha-2
Oliver Grawert (ogra) wrote :

this bug prevents image builds

Andy Whitcroft (apw) on 2010-06-23
Changed in linux-meta-ti-omap (Ubuntu Maverick):
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Andy Whitcroft (apw) wrote :

As the omap branch is now in the main linux package the meta-packages should be expressed by linux-meta. Will pull the meta packages over to there. Adding a task to the linux-meta package for that, and pushing the linux-meta-ti-omap task to low, as the task there is simply to remove the old packages from the archive which can happen later.

Changed in linux-meta (Ubuntu Maverick):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → Critical
status: New → Triaged
Changed in linux-meta-ti-omap (Ubuntu Maverick):
importance: Critical → Low
Changed in linux-meta (Ubuntu Maverick):
milestone: none → maverick-alpha-2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 2.6.35.5.6

---------------
linux-meta (2.6.35.5.6) maverick; urgency=low

  * Add meta-packages for ARM omap which is now in the main package.
    - LP: #595949
 -- Andy Whitcroft <email address hidden> Wed, 23 Jun 2010 10:03:02 +0100

Changed in linux-meta (Ubuntu Maverick):
status: Triaged → Fix Released
Andy Whitcroft (apw) on 2010-06-24
Changed in linux-meta-ti-omap (Ubuntu Maverick):
milestone: maverick-alpha-2 → maverick-alpha-3
Andy Whitcroft (apw) on 2010-07-02
Changed in linux-meta-ti-omap (Ubuntu Maverick):
assignee: Andy Whitcroft (apw) → Colin Watson (cjwatson)
assignee: Colin Watson (cjwatson) → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

The ti-omap kernels have migrated from their own source package (linux-ti-omap) to the main kernel source package (linux) in Maverick. The meta-package links for these kernel have also migrated from their own package (linux-meta-ti-omap) to the main kernel meta package (linux-meta) in step with those. Therefore for Maverick neither linux-ti-omap nor linux-meta-ti-omap source packages should be required, all of their binaries now coming from linux and linux-meta directly.ub

@ubuntu-archive -- could we confirm that both linux-ti-omap and linux-meta-ti-omap are binary-less, and if so could they be removed from Maverick. Note that there is now a new linux-ti-omap4 and linux-meta-ti-omap4 which are unrelated to this discussion.

Martin Pitt (pitti) wrote :

Confirmed that those two produce no binaries any more (-meta) or only obsolete one (linux-ti-omap), and removed:

2010-08-04 14:18:17 INFO Removing candidates:
2010-08-04 14:18:17 INFO linux-meta-ti-omap 2.6.33.500.2 in maverick
2010-08-04 14:18:17 INFO Removed-by: Martin Pitt
2010-08-04 14:18:17 INFO Comment: now merged into linux-meta

2010-08-04 14:18:46 INFO Removing candidates:
2010-08-04 14:18:46 INFO linux-ti-omap 2.6.33-500.6 in maverick
2010-08-04 14:18:46 INFO block-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO crypto-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO fat-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO fs-core-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO fs-secondary-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO input-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO kernel-image-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO linux-headers-2.6.33-500 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO linux-headers-2.6.33-500-omap 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO linux-image-2.6.33-500-omap 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO md-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO mouse-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO nfs-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO nic-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO nic-shared-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO nic-usb-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO parport-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO plip-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO ppp-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO sata-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO scsi-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO squashfs-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO storage-core-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO usb-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO vlan-modules-2.6.33-500-omap-di 2.6.33-500.6 in maverick armel
2010-08-04 14:18:46 INFO Removed-by: Martin Pitt
2010-08-04 14:18:46 INFO Comment: now merged into linux
2010-08-04 14:18:46 INFO 26 packages successfully removed.

Changed in linux-meta-ti-omap (Ubuntu Maverick):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints